package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.biddingManagement.vo.BiddingBasicInfoResultVo;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * @Description 招投标历史
 * @Author Yafan Wang
 * @Date 2023/11/20 15:47
 */
@TableName("")
public class BiddingBasicInfoHis extends BaseEntity {

    /**
     * 基础信息
     */
    @TableField(exist = false)
    private BiddingBasicInfoResultVo basicInfoResultVo;

    /**
     * 招投标管理基本信息表id
     */
    @TableField("c_bidding_basic_info_id")
    private Long biddingBasicInfoId;

    @TableField("c_project_information_id")
    private Long projectInformationId;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    /**
     * 是否资格预审 0否  1是
     */
    @TableField("prequalification")
    private Integer prequalification;

    @TableField("business_number")
    private String businessNumber;

    /**
     * 招标文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> tendersFileList;
    /**
     * 投标文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> biddingFileList;

    public Long getBiddingBasicInfoId() {
        return biddingBasicInfoId;
    }

    public void setBiddingBasicInfoId(Long biddingBasicInfoId) {
        this.biddingBasicInfoId = biddingBasicInfoId;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public Integer getPrequalification() {
        return prequalification;
    }

    public void setPrequalification(Integer prequalification) {
        this.prequalification = prequalification;
    }

    public Long getProjectInformationId() {
        return projectInformationId;
    }

    public void setProjectInformationId(Long projectInformationId) {
        this.projectInformationId = projectInformationId;
    }

    public BiddingBasicInfoHis() {

    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public List<FileStorageDO> getTendersFileList() {
        return tendersFileList;
    }

    public void setTendersFileList(List<FileStorageDO> tendersFileList) {
        this.tendersFileList = tendersFileList;
    }

    public List<FileStorageDO> getBiddingFileList() {
        return biddingFileList;
    }

    public void setBiddingFileList(List<FileStorageDO> biddingFileList) {
        this.biddingFileList = biddingFileList;
    }

    public BiddingBasicInfoResultVo getBasicInfoResultVo() {
        return basicInfoResultVo;
    }

    public void setBasicInfoResultVo(BiddingBasicInfoResultVo basicInfoResultVo) {
        this.basicInfoResultVo = basicInfoResultVo;
    }

    public BiddingBasicInfoHis(CBiddingBasicInfo biddingBasicInfo) {
        this.biddingBasicInfoId = biddingBasicInfo.getId();
        projectInformationId = biddingBasicInfo.getProjectInformationId();
        businessNumber = biddingBasicInfo.getBusinessNumber();
        this.tradingPlatformId = biddingBasicInfo.getTradingPlatformId();
        this.prequalification = biddingBasicInfo.getPrequalification();
    }
}
